'use strict';
module.exports = function(grunt) {

    grunt.initConfig({

	concat: {
	    options: {
		separator: ';',
	    },
	    dist: {
		src: ['src/Canvas.js',
		      'src/ResultItem.js', 'src/ResultItemDocument.js', 'src/ResultItemPhrase.js', 'src/ResultItemLink.js',
		      'src/Phind.js', 'src/PhindTitle.js',
		      'src/URLUTF8Encoder.js'
		     ],
		dest: 'concat/phind.js'
	    },
	},
	    
	babel: {
	    options: {
		sourceMap: true,
		presets: ["@babel/preset-env"],
	    },


	    dist: {
		files: {
		    "dist/phind.js": "concat/phind.js",
		},
		
	    },
	},
    });

    grunt.loadNpmTasks('grunt-contrib-concat');
    grunt.loadNpmTasks('grunt-babel');    

    grunt.registerTask("default", ["concat", "babel"]);
}
